Page MenuHomeFreeBSD

MFC r324736:
AbandonedPublic

Authored by ngie on Apr 21 2019, 8:30 PM.

Details

Reviewers
mjg
Summary

r324736 (by mjg):

sysctl: only take mem lock if oldlen is > 4 * PAGE_SIZE

The previous limit of just one page is hit by ps.

The entire mechanism should be reworked, if not whacked. It seems the intent
is to reduce kernel dos-ability - some handlers wire the amount of memory
passed here. Handlers should probably stop wiring in the first place or in
the worst case indicate they are doing so so that the check is done only if
necessary. It should also probably be a counter, not a lock.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 23805
Build 22749: arc lint + arc unit

Event Timeline

ngie created this revision.Apr 21 2019, 8:30 PM
ngie added a reviewer: mjg.Apr 21 2019, 8:31 PM
ngie added subscribers: emaste, jtl.
ngie updated this revision to Diff 56457.Apr 21 2019, 9:01 PM

Update the comment

ngie added a comment.Apr 21 2019, 9:02 PM

That's not what I wanted to do >_>...

ngie updated this revision to Diff 56459.Apr 21 2019, 9:11 PM

Fix accidental diff update in last revision

mjg accepted this revision.Apr 23 2019, 5:12 PM
This revision is now accepted and ready to land.Apr 23 2019, 5:12 PM
mjg added a comment.Sep 2 2019, 1:28 PM

So this is not in stable/11 and it probably is not important to get there. It is in 12.0 Can this be closed?

ngie abandoned this revision.Sep 19 2019, 4:13 PM
In D19997#468014, @mjg wrote:

So this is not in stable/11 and it probably is not important to get there. It is in 12.0 Can this be closed?

Yes. I don't remember the exact context as to why I was pushing for this change, but it's not critical getting this into 11.x.

Abandoning the revision.